API 文档
Update Card Limits
post
/api/v1/Cards/{cardId}/limitsCards
参数
cardId
path · string
必需的
version
path · string
必需的
请求体
{
"limits": {
"allTime": {
"contactless": {
"limit": 1000,
"used": 1000,
"available": 1000
},
"internetPurchase": {
"limit": 1000,
"used": 1000,
"available": 1000
},
"purchase": {
"limit": 1000,
"used": 1000,
"available": 1000
},
"withdrawal": {
"limit": 1000,
"used": 1000,
"available": 1000
},
"overallPurchase": {
"limit": 1000,
"used": 1000,
"available": 1000
}
},
"daily": {
"contactless": {
"limit": 1000,
"used": 1000,
"available": 1000
},
"internetPurchase": {
"limit": 1000,
"used": 1000,
"available": 1000
},
"purchase": {
"limit": 1000,
"used": 1000,
"available": 1000
},
"withdrawal": {
"limit": 1000,
"used": 1000,
"available": 1000
},
"overallPurchase": {
"limit": 1000,
"used": 1000,
"available": 1000
}
},
"weekly": {
"contactless": {
"limit": 1000,
"used": 1000,
"available": 1000
},
"internetPurchase": {
"limit": 1000,
"used": 1000,
"available": 1000
},
"purchase": {
"limit": 1000,
"used": 1000,
"available": 1000
},
"withdrawal": {
"limit": 1000,
"used": 1000,
"available": 1000
},
"overallPurchase": {
"limit": 1000,
"used": 1000,
"available": 1000
}
},
"monthly": {
"contactless": {
"limit": 1000,
"used": 1000,
"available": 1000
},
"internetPurchase": {
"limit": 1000,
"used": 1000,
"available": 1000
},
"purchase": {
"limit": 1000,
"used": 1000,
"available": 1000
},
"withdrawal": {
"limit": 1000,
"used": 1000,
"available": 1000
},
"overallPurchase": {
"limit": 1000,
"used": 1000,
"available": 1000
}
},
"transaction": {
"contactless": {
"limit": 1000,
"used": 1000,
"available": 1000
},
"internetPurchase": {
"limit": 1000,
"used": 1000,
"available": 1000
},
"purchase": {
"limit": 1000,
"used": 1000,
"available": 1000
},
"withdrawal": {
"limit": 1000,
"used": 1000,
"available": 1000
},
"overallPurchase": {
"limit": 1000,
"used": 1000,
"available": 1000
}
},
"isWeeklyLimitsEnabled": true,
"isAllTimeLimitsEnabled": "2026-07-20T09:00:00Z"
}
}响应
- 200Successapplication/json
{ "id": "1001", "accountId": "1001", "currency": "USD", "name": "Alex Morgan", "number": "Example", "brand": "Example", "status": 1, "type": 1, "expiryMonth": 1, "expiryYear": 1, "blockType": 1, "security": { "isContactlessEnabled": true, "isWithdrawalEnabled": true, "isInternetPurchaseEnabled": true, "isOverallLimitsEnabled": true, "isAllTimeLimitsEnabled": true, "iframeUrl": "Example" }, "limits": { "allTime": { "contactless": { "limit": 1000, "used": 1000, "available": 1000 }, "internetPurchase": { "limit": 1000, "used": 1000, "available": 1000 }, "purchase": { "limit": 1000, "used": 1000, "available": 1000 }, "withdrawal": { "limit": 1000, "used": 1000, "available": 1000 }, "overallPurchase": { "limit": 1000, "used": 1000, "available": 1000 } }, "daily": { "contactless": { "limit": 1000, "used": 1000, "available": 1000 }, "internetPurchase": { "limit": 1000, "used": 1000, "available": 1000 }, "purchase": { "limit": 1000, "used": 1000, "available": 1000 }, "withdrawal": { "limit": 1000, "used": 1000, "available": 1000 }, "overallPurchase": { "limit": 1000, "used": 1000, "available": 1000 } }, "weekly": { "contactless": { "limit": 1000, "used": 1000, "available": 1000 }, "internetPurchase": { "limit": 1000, "used": 1000, "available": 1000 }, "purchase": { "limit": 1000, "used": 1000, "available": 1000 }, "withdrawal": { "limit": 1000, "used": 1000, "available": 1000 }, "overallPurchase": { "limit": 1000, "used": 1000, "available": 1000 } }, "monthly": { "contactless": { "limit": 1000, "used": 1000, "available": 1000 }, "internetPurchase": { "limit": 1000, "used": 1000, "available": 1000 }, "purchase": { "limit": 1000, "used": 1000, "available": 1000 }, "withdrawal": { "limit": 1000, "used": 1000, "available": 1000 }, "overallPurchase": { "limit": 1000, "used": 1000, "available": 1000 } }, "transaction": { "contactless": { "limit": 1000, "used": 1000, "available": 1000 }, "internetPurchase": { "limit": 1000, "used": 1000, "available": 1000 }, "purchase": { "limit": 1000, "used": 1000, "available": 1000 }, "withdrawal": { "limit": 1000, "used": 1000, "available": 1000 }, "overallPurchase": { "limit": 1000, "used": 1000, "available": 1000 } }, "isWeeklyLimitsEnabled": true, "isAllTimeLimitsEnabled": true } } - 400Bad Requestapplication/json
{ "type": "Deposit", "title": "Example", "status": 1, "detail": "The request could not be completed. Check the values and try again.", "instance": "Example" }